The SML of NJ Library
The Reactive Library

## Overview

The Reactive Library is an implementation of a low-level reactive engine (or toolkit). This implementation is a port of the Java SugarCubes Library. The main difference (aside from the implementation language) is that we support preemption of actions (as in Berry’s Communicating Reactive Processes model).

## Contents

`structure Reactive`

  something

## Usage

For SML/NJ, include `$/reactive-lib.cm` in your CM file.

For use in MLton, include `$(SML_LIB)/smlnj-lib/Reactive/reactive-lib.mlb` in your MLB file.

SML/NJ Version 110.99.3 (August 1, 2023)
Last updated 2023-07-31 17:59:01 UTC